# HG changeset patch
# Node ID 86819c54a580798068b4c8f7ee87d5f74cda9459
# Parent  bb3e61055abe754d31999bcbcb22af32883c53e4
diff --git a/ibis/ibiscapabilities.h b/ibis/ibiscapabilities.h
--- a/ibis/ibiscapabilities.h
+++ b/ibis/ibiscapabilities.h
@@ -79,8 +79,8 @@
 
 /**
  * ibis_capabilities_request:
- * @capabilities: The instance.
- * @capability: The capabilities to request.
+ * @capabilities: the instance
+ * @capability: the capabilities to request
  *
  * This method will send `CAP REQ @capability` to the server. Listen to the
  * `::ack` and `::nak` signals which will contain the contents of @capability
@@ -93,10 +93,10 @@
 
 /**
  * ibis_capabilities_lookup:
- * @capabilities: The instance.
- * @name: The name of the capability to look for.
- * @found: (out) (nullable): A return address for a boolean on whether the
- *         capability was advertised or not.
+ * @capabilities: the instance
+ * @name: the name of the capability to look for
+ * @found: (out) (nullable): a return address for a boolean on whether the
+ *         capability was advertised or not
  *
  * Gets the value that the @name capability provided if it was advertised. To
  * determine if the capability was advertised use the @found parameter.
@@ -110,8 +110,8 @@
 
 /**
  * ibis_capabilities_lookup_and_request:
- * @capabilities: The instance.
- * @name: The name of the capability to look for.
+ * @capabilities: the instance
+ * @name: the name of the capability to look for
  *
  * A helper function to call [method@Capabilities.lookup] and if found, call
  * [method@Capabilities.request].
@@ -122,7 +122,7 @@
  * Also if you need to do something when the server ACK's or NAK's your
  * request, you're probably better off just using the methods yourself.
  *
- * Returns: %TRUE if @name was found and requested, %FALSE otherwise.
+ * Returns: true if @name was found and requested; false otherwise.
  *
  * Since: 0.1
  */
@@ -131,7 +131,7 @@
 
 /**
  * ibis_capabilities_add_wait:
- * @capabilities: The instance.
+ * @capabilities: the instance
  *
  * Adds a wait counter to @capabilities. This counter is used to delay the
  * call of `CAP END` until all capability negotiation has completed. This is
@@ -144,7 +144,7 @@
 
 /**
  * ibis_capabilities_remove_wait:
- * @capabilities: The instance.
+ * @capabilities: the instance
  *
  * Removes a wait counter from @capabilities. Only when this counter reaches 0,
  * will `CAP END` be called and registration completed.
@@ -159,7 +159,7 @@
 
 /**
  * ibis_capabilities_stop:
- * @capabilities: The instance.
+ * @capabilities: the instance
  *
  * Stops handling capability commands.
  *
diff --git a/ibis/ibisclient.h b/ibis/ibisclient.h
--- a/ibis/ibisclient.h
+++ b/ibis/ibisclient.h
@@ -68,13 +68,13 @@
 
 /**
  * ibis_client_connect:
- * @client: The instance.
- * @hostname: The hostname or IP address to connect to.
- * @port: The port to connect to.
- * @password: (nullable): The optional server password to use.
- * @tls: Whether or not to use a TLS connection.
- * @cancellable: (transfer none) (nullable): A [class@Gio.Cancellable].
- * @proxy_resolver: (transfer none) (nullable): A [iface@Gio.ProxyResolver].
+ * @client: the instance
+ * @hostname: the hostname or IP address to connect to
+ * @port: the port to connect to
+ * @password: (nullable): the optional server password to use
+ * @tls: if true use a TLS connection
+ * @cancellable: (transfer none) (nullable): a [class@Gio.Cancellable]
+ * @proxy_resolver: (transfer none) (nullable): a [iface@Gio.ProxyResolver]
  *
  * Attempts to connect to @hostname on @port.
  *
@@ -87,9 +87,9 @@
 
 /**
  * ibis_client_disconnect:
- * @client: The instance.
- * @error: (transfer full) (nullable): A #GError.
- * @reason: (nullable): An optional disconnect reason.
+ * @client: the instance
+ * @error: (transfer full) (nullable): a #GError
+ * @reason: (nullable): an optional disconnect reason
  *
  * Disconnects @client.
  *
@@ -105,7 +105,7 @@
 
 /**
  * ibis_client_get_alt_nick:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the alternative nick to use in the event that [property@Client:nick] is
  * already in use.
@@ -119,8 +119,8 @@
 
 /**
  * ibis_client_set_alt_nick:
- * @client: The instance.
- * @alt_nick: (nullable): The new alternative nick.
+ * @client: the instance
+ * @alt_nick: (nullable): the new alternative nick
  *
  * Sets the alternative nick of @client to @alt_nick.
  *
@@ -131,7 +131,7 @@
 
 /**
  * ibis_client_get_cancellable:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the [class@Gio.Cancellable] for @client.
  *
@@ -144,7 +144,7 @@
 
 /**
  * ibis_client_get_capabilities:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the [class@Capabilities] from @client.
  *
@@ -157,11 +157,11 @@
 
 /**
  * ibis_client_get_connected:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets whether or not @client is currently connected.
  *
- * Returns: %TRUE if connected, otherwise %FALSE.
+ * Returns: true if connected; false otherwise.
  *
  * Since: 0.1
  */
@@ -170,12 +170,11 @@
 
 /**
  * ibis_client_get_error:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the #GError that client encountered.
  *
- * Returns: (transfer none): The error or %NULL is no error has been
- *          encountered.
+ * Returns: (transfer none) (nullable): The error if one has been encountered.
  *
  * Since: 0.1
  */
@@ -184,12 +183,12 @@
 
 /**
  * ibis_client_get_features:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the [class@Ibis.Features] from @client.
  *
- * Returns: (transfer none): The features object if @client is connected,
- *          otherwise %NULL.
+ * Returns: (transfer none) (nullable): The features object if @client is
+ *          connected.
  *
  * Since: 0.4
  */
@@ -198,11 +197,11 @@
 
 /**
  * ibis_client_get_hasl_context:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the [class@Hasl.Context] from @client.
  *
- * Returns: (nullable) (transfer none): The Hasl context or %NULL.
+ * Returns: (nullable) (transfer none): The Hasl context.
  *
  * Since: 0.1
  */
@@ -211,8 +210,8 @@
 
 /**
  * ibis_client_set_hasl_context:
- * @client: The instance.
- * @hasl_context: (nullable) (transfer none): The new context to set.
+ * @client: the instance
+ * @hasl_context: (nullable) (transfer none): the new context to set
  *
  * Sets the [class@Hasl.Context] for @client to use.
  *
@@ -227,11 +226,11 @@
 
 /**
  * ibis_client_get_network:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the network that the client is connected to.
  *
- * Returns: (nullable): The network name if set, otherwise %NULL.
+ * Returns: (nullable): The network name if set.
  *
  * Since: 0.4
  */
@@ -240,7 +239,7 @@
 
 /**
  * ibis_client_get_nick:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the nick from @client.
  *
@@ -253,8 +252,8 @@
 
 /**
  * ibis_client_set_nick:
- * @client: The instance.
- * @nick: The new nick.
+ * @client: the instance
+ * @nick: the new nick
  *
  * Sets the nick of @client to @nick.
  *
@@ -265,7 +264,7 @@
 
 /**
  * ibis_client_get_realname:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the realname that is being used when sending the `USER` command.
  *
@@ -281,8 +280,8 @@
 
 /**
  * ibis_client_set_realname:
- * @client: The instance.
- * @realname: (nullable): The new realname.
+ * @client: the instance
+ * @realname: (nullable): the new realname
  *
  * Sets the realname to use when sending the `USER` command.
  *
@@ -293,7 +292,7 @@
 
 /**
  * ibis_client_get_registered:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets whether or not the client has completed user registration.
  *
@@ -301,7 +300,7 @@
  * commands like JOIN, PRIVMSG, etc can not be sent until registration is
  * completed.
  *
- * Returns: %TRUE if registration has been completed, otherwise %FALSE.
+ * Returns: true if registration has been completed; false otherwise.
  *
  * Since: 0.10
  */
@@ -310,13 +309,13 @@
 
 /**
  * ibis_client_get_source_prefix:
- * @client: The instance.
- * @source: The source.
+ * @client: the instance
+ * @source: the source
  *
  * Gets the Channel Membership Prefix from @source according to the prefixes
  * that the server told us in [const@RPL_ISUPPORT].
  *
- * Returns: (transfer full) (nullable): The prefix if found otherwise %NULL.
+ * Returns: (transfer full) (nullable): The prefix if found.
  *
  * Since: 0.8
  */
@@ -325,7 +324,7 @@
 
 /**
  * ibis_client_get_username:
- * @client: The instance.
+ * @client: the instance
  *
  * Gets the username that is being used when sending the `USER` command.
  *
@@ -341,8 +340,8 @@
 
 /**
  * ibis_client_set_username:
- * @client: The instance.
- * @username: (nullable): The new username.
+ * @client: the instance
+ * @username: (nullable): the new username
  *
  * Sets the username to use when sending the `USER` command.
  *
@@ -353,16 +352,16 @@
 
 /**
  * ibis_client_is_channel:
- * @client: The instance.
- * @target: The target.
+ * @client: the instance
+ * @target: the target
  *
  * Checks if @target is a channel.
  *
  * This uses [const@FEATURE_CHANTYPES] from the result of [const@RPL_ISUPPORT]
  * to determine if target starts with a valid channel character.
  *
- * Returns: %TRUE if @target starts with a valid channel character, otherwise
- *          %FALSE.
+ * Returns: true if @target starts with a valid channel character; false
+ *          otherwise.
  *
  * Since: 0.4
  */
@@ -383,7 +382,7 @@
 
 /**
  * ibis_client_normalize:
- * @input: (nullable): The input to normalize.
+ * @input: (nullable): the input to normalize
  *
  * Normalizes @input depending on the [const@FEATURE_CASEMAPPING] feature.
  *
@@ -398,10 +397,10 @@
 
 /**
  * ibis_client_start:
- * @client: The instance.
- * @stream: The [class@Gio.IOStream] to process.
- * @password: (nullable): The optional server password to use.
- * @cancellable: (transfer none) (nullable): A [class@Gio.Cancellable] to use.
+ * @client: the instance
+ * @stream: the [class@Gio.IOStream] to process
+ * @password: (nullable): the optional server password to use
+ * @cancellable: (transfer none) (nullable): a [class@Gio.Cancellable] to use
  *
  * Starts @client.
  *
@@ -417,8 +416,8 @@
 
 /**
  * ibis_client_stop:
- * @client: The instance.
- * @error: (transfer full) (nullable): A #GError.
+ * @client: the instance
+ * @error: (transfer full) (nullable): a #GError
  *
  * Stops @client.
  *
@@ -434,8 +433,8 @@
 
 /**
  * ibis_client_strip_source_prefix:
- * @client: The instance.
- * @source: The source.
+ * @client: the instance
+ * @source: the source
  *
  * Strips the Channel Membership Prefix from @source according to the prefixes
  * that the server told us in [const@RPL_ISUPPORT].
@@ -449,8 +448,8 @@
 
 /**
  * ibis_client_write:
- * @client: The instance.
- * @message: (transfer full): The message to write.
+ * @client: the instance
+ * @message: (transfer full): the message to write
  *
  * Writes @message to the server.
  *
diff --git a/ibis/ibisctcpmessage.h b/ibis/ibisctcpmessage.h
--- a/ibis/ibisctcpmessage.h
+++ b/ibis/ibisctcpmessage.h
@@ -53,7 +53,7 @@
 
 /**
  * ibis_ctcp_message_get_command:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the command from @message.
  *
@@ -66,13 +66,12 @@
 
 /**
  * ibis_ctcp_message_is_command:
- * @message: The instance.
- * @command: The command to check.
+ * @message: the instance
+ * @command: the command to check
  *
  * Checks if the command of @message matches @command.
  *
- * Returns: %TRUE if the command of @message matches @command, otherwise
- *          %FALSE.
+ * Returns: true if the command of @message matches @command; false otherwise.
  *
  * Since: 0.7
  */
@@ -81,7 +80,7 @@
 
 /**
  * ibis_ctcp_message_new:
- * @command: The command.
+ * @command: the command
  *
  * Creates a new `CTCP` message with @command as the command.
  *
@@ -96,7 +95,7 @@
 
 /**
  * ibis_ctcp_message_get_params:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the parameters from @message.
  *
@@ -109,8 +108,8 @@
 
 /**
  * ibis_ctcp_message_set_params:
- * @message: The instance.
- * @...: The parameters to add followed by %NULL.
+ * @message: the instance
+ * @...: a list of parameters to add followed by %NULL.
  *
  * Sets the parameters of @message.
  *
@@ -121,8 +120,8 @@
 
 /**
  * ibis_ctcp_message_set_paramsv: (rename-to ibis_ctcp_message_set_params):
- * @message: The instance.
- * @params: (transfer none) (nullable): The new parameters.
+ * @message: the instance
+ * @params: (transfer none) (nullable): the new parameters
  *
  * Sets the parameters of @message to @params.
  *
@@ -133,14 +132,13 @@
 
 /**
  * ibis_ctcp_message_parse:
- * @str: The string to parse.
+ * @str: the string to parse
  *
  * Attempts to parse a `CTCP` message from @str.
  *
  * If @str is not a valid `CTCP` message, %NULL will be returned.
  *
- * Returns: (transfer full) (nullable): The `CTCP` message if successful,
- *          otherwise %NULL.
+ * Returns: (transfer full) (nullable): The `CTCP` message if successful.
  *
  * Since: 0.5
  */
@@ -149,7 +147,7 @@
 
 /**
  * ibis_ctcp_message_serialize:
- * @message: The instance.
+ * @message: the instance
  *
  * Serializes @message to a string.
  *
diff --git a/ibis/ibisfeatures.h b/ibis/ibisfeatures.h
--- a/ibis/ibisfeatures.h
+++ b/ibis/ibisfeatures.h
@@ -50,7 +50,7 @@
 
 /**
  * ibis_features_clear:
- * @features: The instance.
+ * @features: the instance
  *
  * Clears all features from @features and sets the default values per
  * https://modern.ircdocs.horse/#rplisupport-parameters.
@@ -62,14 +62,14 @@
 
 /**
  * ibis_features_client_tag_denied:
- * @features: The instance.
- * @tag: The tag to query.
+ * @features: the instance
+ * @tag: the tag to query
  *
  * Query the CLIENTTAGDENY parameter from @features.
  *
  * See [const@FEATURE_CLIENTTAGDENY].
  *
- * Returns: %TRUE if @tag is a blocked client-only tag, otherwise %FALSE.
+ * Returns: true if @tag is a blocked client-only tag; false otherwise.
  *
  * Since: 0.6
  */
@@ -90,12 +90,12 @@
 
 /**
  * ibis_features_parse:
- * @features: The instance.
- * @message: The message to parse.
+ * @features: the instance
+ * @message: the message to parse
  *
  * Parses an RPL_ISUPPORT message into a features object.
  *
- * Returns: Whether parsing was successful.
+ * Returns: true if parsing was successful; false otherwise.
  *
  * Since: 0.3
  */
@@ -104,13 +104,13 @@
 
 /**
  * ibis_features_get_awaylen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the AWAYLEN parameter from @features.
  *
  * See [const@FEATURE_AWAYLEN].
  *
- * Returns: AWAYLEN or 0 if not set.
+ * Returns: The AWAYLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -119,13 +119,13 @@
 
 /**
  * ibis_features_get_casemapping:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the CASEMAPPING parameter from @features.
  *
  * See [const@FEATURE_CASEMAPPING].
  *
- * Returns: CASEMAPPING or %NULL if not set.
+ * Returns: (nullable): The CASEMAPPING if it was set.
  *
  * Since: 0.3
  */
@@ -134,13 +134,13 @@
 
 /**
  * ibis_features_get_chanlimit:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the CHANLIMIT parameter from @features.
  *
  * See [const@FEATURE_CHANLIMIT].
  *
- * Returns: CHANLIMIT or %NULL if not set.
+ * Returns: (nullable): The CHANLIMIT if it was set.
  *
  * Since: 0.3
  */
@@ -149,13 +149,13 @@
 
 /**
  * ibis_features_get_chanmodes:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the CHANMODES parameter from @features.
  *
  * See [const@FEATURE_CHANMODES].
  *
- * Returns: CHANMODES or %NULL if not set.
+ * Returns: (nullable): The CHANMODES if it was set.
  *
  * Since: 0.3
  */
@@ -164,13 +164,13 @@
 
 /**
  * ibis_features_get_chantypes:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the CHANTYPES parameter from @features.
  *
  * See [const@FEATURE_CHANTYPES].
  *
- * Returns: CHANTYPES or the default value of '#' if not set.
+ * Returns: The CHANTYPES or the default value of '#' if not set.
  *
  * Since: 0.3
  */
@@ -179,13 +179,13 @@
 
 /**
  * ibis_features_get_channellen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the CHANNELLEN parameter from @features.
  *
  * See [const@FEATURE_CHANNELLEN].
  *
- * Returns: CHANNELLEN or 0 if not set.
+ * Returns: The CHANNELLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -194,13 +194,13 @@
 
 /**
  * ibis_features_get_elist:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the ELIST parameter from @features.
  *
  * See [const@FEATURE_ELIST].
  *
- * Returns: ELIST or %NULL if not set.
+ * Returns: (nullable): The ELIST if it was set.
  *
  * Since: 0.3
  */
@@ -209,13 +209,13 @@
 
 /**
  * ibis_features_get_excepts:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the EXCEPTS parameter from @features.
  *
  * See [const@FEATURE_EXCEPTS].
  *
- * Returns: EXCEPTS or 0 if not set.
+ * Returns: The EXCEPTS or 0 if not set.
  *
  * Since: 0.3
  */
@@ -224,13 +224,13 @@
 
 /**
  * ibis_features_get_extban:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the EXTBAN parameter from @features.
  *
  * See [const@FEATURE_EXTBAN].
  *
- * Returns: EXTBAN or %NULL if not set.
+ * Returns: (nullable): The EXTBAN if it was set.
  *
  * Since: 0.3
  */
@@ -239,13 +239,13 @@
 
 /**
  * ibis_features_get_hostlen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the HOSTLEN parameter from @features.
  *
  * See [const@FEATURE_HOSTLEN].
  *
- * Returns: HOSTLEN or 0 if not set.
+ * Returns: The HOSTLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -254,13 +254,13 @@
 
 /**
  * ibis_features_get_invex:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the INVEX parameter from @features.
  *
  * See [const@FEATURE_INVEX].
  *
- * Returns: INVEX or 0 if not set.
+ * Returns: The INVEX or 0 if not set.
  *
  * Since: 0.3
  */
@@ -269,13 +269,13 @@
 
 /**
  * ibis_features_get_kicklen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the KICKLEN parameter from @features.
  *
  * See [const@FEATURE_KICKLEN].
  *
- * Returns: KICKLEN or 0 if not set.
+ * Returns: The KICKLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -284,13 +284,13 @@
 
 /**
  * ibis_features_get_maxlist:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the MAXLIST parameter from @features.
  *
  * See [const@FEATURE_MAXLIST].
  *
- * Returns: MAXLIST or %NULL if not set.
+ * Returns: (nullable): The MAXLIST if it was set.
  *
  * Since: 0.3
  */
@@ -299,13 +299,13 @@
 
 /**
  * ibis_features_get_maxtargets:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the MAXTARGETS parameter from @features.
  *
  * See [const@FEATURE_MAXTARGETS].
  *
- * Returns: MAXTARGETS or 0 if not set.
+ * Returns: The MAXTARGETS or 0 if not set.
  *
  * Since: 0.3
  */
@@ -314,13 +314,13 @@
 
 /**
  * ibis_features_get_modes:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the MODES parameter from @features.
  *
  * See [const@FEATURE_MODES].
  *
- * Returns: MODES or 0 if not set.
+ * Returns: The MODES or 0 if not set.
  *
  * Since: 0.3
  */
@@ -329,13 +329,13 @@
 
 /**
  * ibis_features_get_network:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the NETWORK parameter from @features.
  *
  * See [const@FEATURE_NETWORK].
  *
- * Returns: NETWORK or %NULL if not set.
+ * Returns: (nullable): The NETWORK if it was set.
  *
  * Since: 0.3
  */
@@ -344,13 +344,13 @@
 
 /**
  * ibis_features_get_nicklen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the NICKLEN parameter from @features.
  *
  * See [const@FEATURE_NICKLEN].
  *
- * Returns: NICKLEN or 0 if not set.
+ * Returns: The NICKLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -359,13 +359,13 @@
 
 /**
  * ibis_features_get_prefix:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the PREFIX parameter from @features.
  *
  * See [const@FEATURE_PREFIX].
  *
- * Returns: PREFIX or the default value of '(ov)@+' if not set.
+ * Returns: The PREFIX or the default value of '(ov)@+' if not set.
  *
  * Since: 0.3
  */
@@ -374,7 +374,7 @@
 
 /**
  * ibis_features_get_prefix_modes:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the modes portion of the prefix feature.
  *
@@ -389,7 +389,7 @@
 
 /**
  * ibis_features_get_prefix_prefixes:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the prefixes portion of the prefix feature.
  *
@@ -404,13 +404,13 @@
 
 /**
  * ibis_features_get_safelist:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the SAFELIST parameter from @features.
  *
  * See [const@FEATURE_SAFELIST].
  *
- * Returns: %TRUE if SAFELIST parameter is advertised, otherwise %FALSE.
+ * Returns: true if SAFELIST parameter is advertised; false otherwise.
  *
  * Since: 0.3
  */
@@ -419,13 +419,13 @@
 
 /**
  * ibis_features_get_silence:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the SILENCE parameter from @features.
  *
  * See [const@FEATURE_SILENCE].
  *
- * Returns: SILENCE or 0 if not set.
+ * Returns: The SILENCE or 0 if not set.
  *
  * Since: 0.3
  */
@@ -434,13 +434,13 @@
 
 /**
  * ibis_features_get_statusmsg:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the STATUSMSG parameter from @features.
  *
  * See [const@FEATURE_STATUSMSG].
  *
- * Returns: STATUSMSG or %NULL if not set.
+ * Returns: (nullable): The STATUSMSG if it was set.
  *
  * Since: 0.3
  */
@@ -449,13 +449,13 @@
 
 /**
  * ibis_features_get_targmax:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the TARGMAX parameter from @features.
  *
  * See [const@FEATURE_TARGMAX].
  *
- * Returns: TARGMAX or %NULL if not set.
+ * Returns: (nullable): The TARGMAX if it was set.
  *
  * Since: 0.3
  */
@@ -464,13 +464,13 @@
 
 /**
  * ibis_features_get_topiclen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the TOPICLEN parameter from @features.
  *
  * See [const@FEATURE_TOPICLEN].
  *
- * Returns: TOPICLEN or 0 if not set.
+ * Returns: The TOPICLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -479,13 +479,13 @@
 
 /**
  * ibis_features_get_userlen:
- * @features: The instance.
+ * @features: the instance
  *
  * Gets the USERLEN parameter from @features.
  *
  * See [const@FEATURE_USERLEN].
  *
- * Returns: USERLEN or 0 if not set.
+ * Returns: The USERLEN or 0 if not set.
  *
  * Since: 0.3
  */
@@ -494,8 +494,8 @@
 
 /**
  * ibis_features_get_uint:
- * @features: The instance.
- * @parameter: A parameter name.
+ * @features: the instance
+ * @parameter: a parameter name
  *
  * Gets the value of an unsigned integer parameter.
  *
@@ -513,8 +513,8 @@
 
 /**
  * ibis_features_get_string:
- * @features: The instance.
- * @parameter: A parameter name.
+ * @features: the instance
+ * @parameter: a parameter name
  *
  * Gets the value of a string parameter.
  *
@@ -522,8 +522,8 @@
  * any of the properties of the [class@Features] class but was parsed from an
  * [class@Message] using [method@Features.parse].
  *
- * Returns: (transfer none): The value of the parameter or %NULL if it does not
- *          exist or is not an string parameter.
+ * Returns: (transfer none) (nullable): The value of the parameter if it exists
+ *          and is a string parameter.
  *
  * Since: 0.3
  */
@@ -532,8 +532,8 @@
 
 /**
  * ibis_features_get_boolean:
- * @features: The instance.
- * @parameter: A parameter name.
+ * @features: the instance
+ * @parameter: a parameter name
  *
  * Gets the value of a boolean parameter.
  *
@@ -541,9 +541,10 @@
  * any of the properties of the [class@Features] class but was parsed from an
  * [class@Message] using [method@Features.parse].
  *
- * Returns: %TRUE if @parameter was set or %FALSE if it either does not exist or
- *          is not a boolean parameter. A parameter is considered boolean if
- *          it was advertised by the server without specifying a value.
+ * A parameter is considered boolean if it was advertised by the server without
+ * specifying a value.
+ *
+ * Returns: true if @parameter was set and is a boolean parameter; false otherwise.
  *
  * Since: 0.3
  */
@@ -552,8 +553,8 @@
 
 /**
  * ibis_features_get_char:
- * @features: The instance.
- * @parameter: A parameter name.
+ * @features: the instance
+ * @parameter: a parameter name
  *
  * Gets the value of a single character parameter.
  *
diff --git a/ibis/ibisformatting.h b/ibis/ibisformatting.h
--- a/ibis/ibisformatting.h
+++ b/ibis/ibisformatting.h
@@ -35,7 +35,7 @@
 
 /**
  * ibis_formatting_strip:
- * @text: (nullable): The text to strip.
+ * @text: (nullable): the text to strip
  *
  * Removes all formatting from @text and returns the result.
  *
diff --git a/ibis/ibismessage.h b/ibis/ibismessage.h
--- a/ibis/ibismessage.h
+++ b/ibis/ibismessage.h
@@ -57,7 +57,7 @@
 
 /**
  * ibis_message_new:
- * @command: (not nullable): The command of the message.
+ * @command: (not nullable): the command of the message
  *
  * Creates a new message with @command.
  *
@@ -70,7 +70,7 @@
 
 /**
  * ibis_message_get_command:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the command of the message.
  *
@@ -83,7 +83,7 @@
 
 /**
  * ibis_message_get_command_quark:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the #GQuark for @message.
  *
@@ -99,14 +99,14 @@
 
 /**
  * ibis_message_get_ctcp:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets whether or not @message is a CTCP message.
  *
  * This should only ever return %TRUE if the command property of @message is
  * `PRIVMSG` or `NOTICE`.
  *
- * Returns: %TRUE if @message is a CTCP message, otherwise %FALSE.
+ * Returns: true if @message is a CTCP message; false otherwise.
  *
  * Since: 0.1
  */
@@ -115,12 +115,11 @@
 
 /**
  * ibis_message_get_ctcp_message:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the [class@CTCPMessage] from @message.
  *
- * Returns: (transfer none) (nullable): The `CTCP` message if set, otherwise
- *           %NULL.
+ * Returns: (transfer none) (nullable): The `CTCP` message if set.
  *
  * Since: 0.5
  */
@@ -129,8 +128,8 @@
 
 /**
  * ibis_message_set_ctcp_message:
- * @message: The instance.
- * @ctcp_message: (transfer none) (nullable): The `CTCP` message instance.
+ * @message: the instance
+ * @ctcp_message: (transfer none) (nullable): the `CTCP` message instance
  *
  * Sets the `CTCP` message of @message to @ctcp_message.
  *
@@ -141,8 +140,8 @@
 
 /**
  * ibis_message_set_ctcp:
- * @message: The instance.
- * @ctcp: Whether or not to make this a CTCP message.
+ * @message: the instance
+ * @ctcp: if true make this a CTCP message
  *
  * Sets @message to be a CTCP message or not.
  *
@@ -158,7 +157,7 @@
 
 /**
  * ibis_message_get_params:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the parameters from @message.
  *
@@ -171,8 +170,8 @@
 
 /**
  * ibis_message_set_params:
- * @message: The instance.
- * @...: The parameters to add followed by %NULL.
+ * @message: the instance
+ * @...: a list of parameters to add followed by %NULL
  *
  * Sets the parameters of @message.
  *
@@ -183,8 +182,8 @@
 
 /**
  * ibis_message_set_paramsv: (rename-to ibis_message_set_params):
- * @message: The instance.
- * @params: (transfer none) (nullable): The new parameters.
+ * @message: the instance
+ * @params: (transfer none) (nullable): the new parameters
  *
  * Sets the parameters of @message to @params.
  *
@@ -195,7 +194,7 @@
 
 /**
  * ibis_message_get_source:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the the source of @message.
  *
@@ -208,8 +207,8 @@
 
 /**
  * ibis_message_set_source:
- * @message: The instance.
- * @source: (nullable): The new source.
+ * @message: the instance
+ * @source: (nullable): the new source
  *
  * Sets the source of @message to @source.
  *
@@ -220,7 +219,7 @@
 
 /**
  * ibis_message_get_tags:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the tags from @message.
  *
@@ -233,8 +232,8 @@
 
 /**
  * ibis_message_set_tags:
- * @message: The instance.
- * @tags: (transfer none) (nullable): The new tags.
+ * @message: the instance
+ * @tags: (transfer none) (nullable): the new tags
  *
  * Sets the tags of @message to @tags.
  *
@@ -247,7 +246,7 @@
 
 /**
  * ibis_message_get_timestamp:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the value of the @time tag if it exists.
  *
@@ -260,8 +259,8 @@
 
 /**
  * ibis_message_serialize:
- * @message: The instance.
- * @include_tags: Whether or not tags should be included.
+ * @message: the instance
+ * @include_tags: if true tags will be included
  *
  * Serializes @message into a [type@GLib.Bytes].
  *
@@ -280,8 +279,8 @@
 
 /**
  * ibis_message_serialize_to_string:
- * @message: The instance.
- * @include_tags: Whether or not tags should be included.
+ * @message: the instance
+ * @include_tags: if true tags will be included
  *
  * Serializes @message into a string.
  *
@@ -300,15 +299,14 @@
 
 /**
  * ibis_message_get_error:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the error for @message.
  *
  * Errors are typically set on messages when they are being parsed and
  * something isn't right.
  *
- * Returns: (transfer none) (nullable): The error if one is set, otherwise
- *          %NULL.
+ * Returns: (transfer none) (nullable): The error if one is set.
  *
  * Since: 0.1
  */
@@ -317,8 +315,8 @@
 
 /**
  * ibis_message_set_error:
- * @message: The instance.
- * @error: (nullable) (transfer none): The new error message.
+ * @message: the instance
+ * @error: (nullable) (transfer none): the new error message
  *
  * Sets the error for @message to @error.
  *
@@ -329,8 +327,8 @@
 
 /**
  * ibis_message_take_error:
- * @message: The instance.
- * @error: (nullable) (transfer full): The new error message.
+ * @message: the instance
+ * @error: (nullable) (transfer full): the new error message
  *
  * Sets the error for @message to @error taking ownership of @error.
  *
@@ -341,8 +339,8 @@
 
 /**
  * ibis_message_parse:
- * @buffer: The raw IRC message.
- * @error: (nullable): Return address for a #GError.
+ * @buffer: the raw IRC message
+ * @error: (nullable): return address for a #GError
  *
  * Attempts to parse a raw IRC message from @buffer.
  *
@@ -355,8 +353,7 @@
  * property of the return message and it is up to the caller to determine what
  * to do with the replacement characters.
  *
- * Returns: (transfer full): The new message if one was parsed, otherwise %NULL
- *          with @error set.
+ * Returns: (transfer full) (nullable): The new message if one was parsed.
  *
  * Since: 0.1
  */
@@ -365,14 +362,14 @@
 
 /**
  * ibis_message_get_raw_message:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the `raw-message` that @message was parsed from.
  *
  * If @message was not created via [func@Message.parse], then this will be
  * %NULL.
  *
- * Returns: The raw message if available, otherwise %NULL.
+ * Returns: (nullable): The raw message if available.
  *
  * Since: 0.1
  */
@@ -381,8 +378,8 @@
 
 /**
  * ibis_message_is_command:
- * @message: The instance.
- * @command: (nullable): The command to check.
+ * @message: the instance
+ * @command: (nullable): the command to check
  *
  * Checks if [property@Message:command] is @command.
  *
@@ -390,8 +387,7 @@
  *       normalized to upper case when they are parsed, and if you use the
  *       constants everything should be already normalized.
  *
- * Returns: %TRUE if the command of @message matches @command,
- *          otherwise %FALSE.
+ * Returns: true if the command of @message matches @command; false otherwise.
  *
  *
  * Since: 0.7
@@ -401,12 +397,11 @@
 
 /**
  * ibis_message_get_standard_reply:
- * @message: The instance.
+ * @message: the instance
  *
  * Gets the [class@StandardReply] from @message.
  *
- * Returns: (transfer none): The standard reply if @message contains one,
- *          otherwise %NULL.
+ * Returns: (transfer none) (nullable): The standard reply if @message contains one.
  *
  * Since: 0.8
  */
diff --git a/ibis/ibisnormalize.h b/ibis/ibisnormalize.h
--- a/ibis/ibisnormalize.h
+++ b/ibis/ibisnormalize.h
@@ -35,7 +35,7 @@
 
 /**
  * ibis_normalize_ascii:
- * @input: (nullable): The input to normalize.
+ * @input: (nullable): the input to normalize
  *
  * Normalizes @input, i.e., it converts all uppercase letters in @input to their
  * lowercase equivalents.
@@ -49,7 +49,7 @@
 
 /**
  * ibis_normalize_rfc1459:
- * @input: (nullable): The input to normalize.
+ * @input: (nullable): the input to normalize
  *
  * Normalizes @input, i.e., it converts all uppercase letters in @input to their
  * lowercase equivalents with the addition of the characters '[', ']', '\',
@@ -67,7 +67,7 @@
 
 /**
  * ibis_normalize_rfc1459_strict:
- * @input: (nullable): The input to normalize.
+ * @input: (nullable): the input to normalize
  *
  * Normalizes @input, i.e., it converts all uppercase letters in @input to their
  * lowercase equivalents with the addition of the characters '[', ']', and '\'.
diff --git a/ibis/ibissasl.h b/ibis/ibissasl.h
--- a/ibis/ibissasl.h
+++ b/ibis/ibissasl.h
@@ -35,7 +35,7 @@
 
 /**
  * ibis_sasl_request: (skip)
- * @capabilities: The capabilities instance.
+ * @capabilities: the capabilities instance
  *
  * Called from [class@Client] during connection if SASL should be attempted.
  *
diff --git a/ibis/ibissource.h b/ibis/ibissource.h
--- a/ibis/ibissource.h
+++ b/ibis/ibissource.h
@@ -35,10 +35,10 @@
 
 /**
  * ibis_source_parse:
- * @source: The source to parse.
- * @nick: (out) (transfer full): A return address for the nick.
- * @user: (out) (transfer full): A return address for the user.
- * @host: (out) (transfer full): A return address for the host.
+ * @source: the source to parse
+ * @nick: (out) (transfer full): a return address for the nick
+ * @user: (out) (transfer full): a return address for the user
+ * @host: (out) (transfer full): a return address for the host
  *
  * Parses a `source` string like `pidgy!~u@53unc8n42i868.irc` into its nick,
  * user, and host parts per https://modern.ircdocs.horse/#source.
@@ -53,9 +53,9 @@
 
 /**
  * ibis_source_serialize:
- * @nick: The nick.
- * @user: (nullable): The user field.
- * @host: (nullable): The host field.
+ * @nick: the nick
+ * @user: (nullable): the user field
+ * @host: (nullable): the host field
  *
  * Creates a source from its parts.
  *
@@ -70,8 +70,8 @@
 
 /**
  * ibis_source_strip_prefix:
- * @source: The source to strip.
- * @prefixes: The list of prefixes that should be stripped.
+ * @source: the source to strip
+ * @prefixes: the list of prefixes that should be stripped
  *
  * Removes any characters from the start of @source that are in @prefixes until
  * a character that is not in @prefixes is found.
@@ -94,8 +94,8 @@
 
 /**
  * ibis_source_get_prefix:
- * @source: The source.
- * @prefixes: The list of valid prefixes.
+ * @source: the source
+ * @prefixes: the list of valid prefixes
  *
  * Gets the prefixes from @source.
  *
@@ -105,8 +105,7 @@
  * Parameter](https://modern.ircdocs.horse/#prefix-parameter) for more
  * information.
  *
- * Returns: (transfer full) (nullable): The prefixes from @source if found,
- *          otherwise %NULL.
+ * Returns: (transfer full) (nullable): The prefixes from @source if found.
  *
  * Since: 0.8
  */
diff --git a/ibis/ibisstandardreply.h b/ibis/ibisstandardreply.h
--- a/ibis/ibisstandardreply.h
+++ b/ibis/ibisstandardreply.h
@@ -54,7 +54,7 @@
 
 /**
  * ibis_standard_reply_get_code:
- * @reply: The instance.
+ * @reply: the instance
  *
  * Gets the code from @reply.
  *
@@ -67,7 +67,7 @@
 
 /**
  * ibis_standard_reply_get_command:
- * @reply: The instance.
+ * @reply: the instance
  *
  * The command that this reply is related to.
  *
@@ -80,7 +80,7 @@
 
 /**
  * ibis_standard_reply_get_context:
- * @reply: The instance.
+ * @reply: the instance
  *
  * Gets the context from @reply.
  *
@@ -93,7 +93,7 @@
 
 /**
  * ibis_standard_reply_get_description:
- * @reply: The instance.
+ * @reply: the instance
  *
  * The description from this reply.
  *
@@ -106,7 +106,7 @@
 
 /**
  * ibis_standard_reply_get_reply_type:
- * @reply: The instance.
+ * @reply: the instance
  *
  * Gets the type from @reply.
  *
@@ -119,12 +119,12 @@
 
 /**
  * ibis_standard_reply_is_type:
- * @reply: The instance.
- * @type: The type to check.
+ * @reply: the instance
+ * @type: the type to check
  *
  * Checks if the type of @reply is @type.
  *
- * Returns: %TRUE if the type of @reply is @type.
+ * Returns: true if the type of @reply is @type; false otherwise.
  *
  * Since: 0.8
  */
@@ -133,14 +133,13 @@
 
 /**
  * ibis_standard_reply_parse:
- * @message: The message.
+ * @message: the message
  *
  * Attempts to create a standard reply from @message.
  *
  * If @str is not a valid standard reply, %NULL will be returned.
  *
- * Returns: (transfer full) (nullable): The standard reply if successful,
- *          otherwise %NULL.
+ * Returns: (transfer full) (nullable): The standard reply if successful.
  *
  * Since: 0.8
  */
diff --git a/ibis/ibisstring.h b/ibis/ibisstring.h
--- a/ibis/ibisstring.h
+++ b/ibis/ibisstring.h
@@ -31,11 +31,11 @@
 
 /**
  * ibis_str_is_empty:
- * @str: (nullable): The string to check.
+ * @str: (nullable): the string to check
  *
  * Determines if @str is empty or not.
  *
- * Returns: %TRUE if @str is empty, otherwise %FALSE.
+ * Returns: true if @str is empty; false otherwise.
  *
  * Since: 0.1
  */
@@ -47,12 +47,12 @@
 
 /**
  * ibis_str_equal:
- * @str1: (nullable): The first string.
- * @str2: (nullable): The second string.
+ * @str1: (nullable): the first string
+ * @str2: (nullable): the second string
  *
  * Checks if @str1 is equal to @str2.
  *
- * Returns: %TRUE if the strings are equal or %FALSE.
+ * Returns: true if the strings are equal; false otherwise.
  *
  * Since: 0.1
  */
@@ -64,7 +64,7 @@
 
 /**
  * ibis_str_to_uint:
- * @str: (nullable): A string to convert to an unsigned integer.
+ * @str: (nullable): a string to convert to an unsigned integer
  *
  * Converts @str to an unsigned integer.
  *
diff --git a/ibis/ibistags.h b/ibis/ibistags.h
--- a/ibis/ibistags.h
+++ b/ibis/ibistags.h
@@ -59,9 +59,9 @@
 
 /**
  * ibis_tags_add:
- * @tags: The instance.
- * @key: The key of the new tag.
- * @value: The unescaped value to add.
+ * @tags: the instance
+ * @key: the key of the new tag
+ * @value: the unescaped value to add
  *
  * Adds the new @key and @value to @tags.
  *
@@ -74,7 +74,7 @@
 
 /**
  * ibis_tags_clear:
- * @tags: The instance.
+ * @tags: the instance
  *
  * Removes all tags from @tags.
  *
@@ -85,12 +85,13 @@
 
 /**
  * ibis_tags_contains:
- * @tags1: The first instance.
- * @tags2: The second instance.
+ * @tags1: the first instance
+ * @tags2: the second instance
  *
  * Checks if all of the keys and values in @tags2 exist in @tags1.
  *
- * Returns: %TRUE if all keys and values from @tags2 can be found in @tags1.
+ * Returns: true if all keys and values from @tags2 can be found in @tags1;
+ *          false otherwise.
  *
  * Since: 0.1
  */
@@ -99,12 +100,13 @@
 
 /**
  * ibis_tags_equal:
- * @tags1: The first instance.
- * @tags2: The second instance.
+ * @tags1: the first instance
+ * @tags2: the second instance
  *
  * Checks if both @tags1 and @tags2 contain the exact same keys and values.
  *
- * Return: %TRUE if the same keys and values are found in both tags.
+ * Return: true if the same keys and values are found in both tags; false
+ *         otherwise.
  *
  * Since: 0.1
  */
@@ -113,12 +115,12 @@
 
 /**
  * ibis_tags_exists:
- * @tags: The instance.
- * @key: The key to look for.
+ * @tags: the instance
+ * @key: the key to look for
  *
  * Checks whether or not @key exists in @tags.
  *
- * Returns: %TRUE if @key was found, otherwise %FALSE.
+ * Returns: true if @key was found; false otherwise.
  *
  * Since: 0.1
  */
@@ -127,7 +129,7 @@
 
 /**
  * ibis_tags_get_size:
- * @tags: The instance.
+ * @tags: the instance
  *
  * Gets the number of tags in @tags.
  *
@@ -140,12 +142,12 @@
 
 /**
  * ibis_tags_lookup:
- * @tags: The instance.
- * @key: The key to lookup.
+ * @tags: the instance
+ * @key: the key to lookup
  *
  * Looks up @key in @tags and returns the value.
  *
- * Returns: The value of @key if found, otherwise %NULL.
+ * Returns: (nullable): The value of @key if found.
  *
  * Since: 0.1
  */
@@ -166,14 +168,14 @@
 
 /**
  * ibis_tags_parse:
- * @tags_string: The string to parse.
- * @error: (nullable): A return address for a #GError.
+ * @tags_string: the string to parse
+ * @error: (nullable): a return address for a #GError
  *
  * Parses @tags_string and returns the result.
  *
  * If an error was encountered, %NULL will be returned and @error will be set.
  *
- * Returns: (transfer full): The new tags object or %NULL on error.
+ * Returns: (transfer full) (nullable): The new tags object.
  *
  * Since: 0.1
  */
@@ -182,9 +184,9 @@
 
 /**
  * ibis_tags_parse_string:
- * @tags: The instance.
- * @tags_string: The string to parse.
- * @error: (nullable): A return address for a #GError.
+ * @tags: the instance
+ * @tags_string: the string to parse
+ * @error: (nullable): a return address for a #GError
  *
  * Parses @tags_string and updates @tags with the results.
  *
@@ -199,12 +201,12 @@
 
 /**
  * ibis_tags_remove:
- * @tags: The instance.
- * @key: The key to remove.
+ * @tags: the instance
+ * @key: the key to remove
  *
  * Removes @key from @tags.
  *
- * Returns: %TRUE if @key was found and removed otherwise %FALSE.
+ * Returns: true if @key was found and removed; false otherwise.
  *
  * Since: 0.1
  */
@@ -213,7 +215,7 @@
 
 /**
  * ibis_tags_serialize:
- * @tags: The instance.
+ * @tags: the instance
  *
  * Serializes @tags to a string.
  *
diff --git a/ibis/ibistring.h b/ibis/ibistring.h
deleted file mode 100644
--- a/ibis/ibistring.h
+++ /dev/null
@@ -1,68 +0,0 @@
-/*
- * Ibis - IRCv3 Library
- * Copyright (C) 2022-2024 Ibis Developers
- *
- * Ibis is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This library is free software; you can redistribute it and/or
- * modify it under the terms of the GNU Lesser General Public
- * License as published by the Free Software Foundation; either
- * version 2.1 of the License, or (at your option) any later version.
- *
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * Lesser General Public License for more details.
- *
- * You should have received a copy of the GNU Lesser General Public
- * License along with this library; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#ifndef IBIS_STRING_H
-#define IBIS_STRING_H
-
-#include <glib.h>
-
-#include "ibisversion.h"
-
-G_BEGIN_DECLS
-
-/**
- * ibis_str_is_empty:
- * @str: (nullable): The string to check.
- *
- * Determines if @str is empty or not.
- *
- * Returns: %TRUE if @str is empty, otherwise %FALSE.
- *
- * Since: 0.1
- */
-IBIS_AVAILABLE_STATIC_INLINE_IN_0_1
-static inline gboolean
-ibis_str_is_empty(const char *str) {
-	return (str == NULL || str[0] == '\0');
-}
-
-/**
- * ibis_str_equal:
- * @str1: (nullable): The first string.
- * @str2: (nullable): The second string.
- *
- * Checks if @str1 is equal to @str2.
- *
- * Returns: %TRUE if the strings are equal or %FALSE.
- *
- * Since: 0.1
- */
-IBIS_AVAILABLE_STATIC_INLINE_IN_0_1
-static inline gboolean
-ibis_str_equal(const char *str1, const char *str2) {
-	return (g_strcmp0(str1, str2) == 0);
-}
-
-G_END_DECLS
-
-
-#endif /* IBIS_STRING_H */
